=== tvision/debian/control ===
Source: rhtvision
Section: libs
Priority: optional
Maintainer: Ivan Baldo <ibaldo@adinet.com.uy>
Build-Depends: perl | perl5, libncurses-dev, libgpmg1-dev, debhelper (>=2.0.40), libx11-dev | xlibs-dev | xlib6g-dev, libxmu-dev | xlibs-dev | xlib6g-dev, gettext, file
Standards-Version: 3.7.2.2

Package: rhtvision2.1.0-dev
Architecture: any
Section: devel
Depends: rhtvision2.1.0, libncurses-dev, libgpmg1-dev, libx11-dev | xlibs-dev | xlib6g-dev, libxmu-dev | xlibs-dev | xlib6g-dev
Provides: rhtvision-dev
Conflicts: rhtvision-dev
Replaces: rhtvision-dev
XB-Bugs: mailto:ibaldo@adinet.com.uy
Description: Development files for the RHTVision library - a TUI interface
 This is the statically linked library and header files for the development
 of applications using the RHTVision library. You need to install this package
 only if you want to develop or compile programs using the RHTVision library.
 .
 THIS IS NOT AN OFFICIAL PACKAGE AND IS NOT PART OF THE DEBIAN DISTRIBUTION.

Package: rhtvision2.1.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: rhtvision1
XB-Bugs: mailto:ibaldo@adinet.com.uy
Description: The RHTVision library - TUI interface for console applications
 This is the shared library for programs using the RHTVision library.
 .
 The RHTVision library gives an intuitive and user friendly TUI (Textual User
 Interface) for programs using this library and running in a text console.
 .
 This library is based on the Turbo Vision library made by Borland Corporation.
 It was interpreted by its upstream authors that the original Turbo Vision
 library was released by Borland (now Inprise) under a Public Domain license,
 but this seems to not be true.
 .
 There's a DOS and Win32 version of this library and on GNU/Linux runs on Alpha
 and i386 processors.
 .
 THIS IS NOT AN OFFICIAL PACKAGE AND IS NOT PART OF THE DEBIAN DISTRIBUTION.
